libmm-glib0_1.10.4-0.1_amd64.deb


Advertisement

Description

libmm-glib0 - D-Bus service for managing modems - shared libraries

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libmm-glib0_1.10.4-0.1_amd64.deb
Package name libmm-glib0
Package version 1.10.4
Package release 0.1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://www.freedesktop.org/wiki/Software/ModemManager/
License -
Maintainer Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
Download size 928.48 KB
Installed size 1.70 MB

Alternatives

Package Version Architecture Repository
libmm-glib0_1.10.4-0.1_i386.deb 1.10.4 i386 Debian Main
libmm-glib0 - - -

Requires

Name Value
libc6 >= 2.14
libglib2.0-0 >= 2.36.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmm-glib0_1.10.4-0.1_amd64.deb
Source Package modemmanager

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmm-glib0 deb package:
    # sudo apt-get install libmm-glib0

Files

Path
/usr/lib/x86_64-linux-gnu/libmm-glib.so.0
/usr/lib/x86_64-linux-gnu/libmm-glib.so.0.4.0
/usr/share/doc/libmm-glib0/changelog.Debian.gz
/usr/share/doc/libmm-glib0/changelog.gz
/usr/share/doc/libmm-glib0/copyright

Changelog

2019-08-20 - Till Kamppeter <till.kamppeter@gmail.com>
modemmanager (1.10.4-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release
* debian/patches/error-propagation-fix.patch: Removed, included
upstream.
* debian/control: Update build dependencies as now libqmi >= 1.22.4 is
required.
* debian/modemmanager.install: Also install /usr/share/ModemManager,
for the new carrier mapping files.
* debian/libmm-glib0.symbols: Updated symbols.
2019-02-05 - Till Kamppeter <till.kamppeter@gmail.com>
modemmanager (1.10.0-1) unstable; urgency=medium
* New upstream release
* debian/control: Update build dependencies as now libmbim >= 1.18.0 and
libqmi >= 1.22.0 are required.
* debian/libmm-glib0.symbols: update symbols for new release.
2018-10-04 - Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
modemmanager (1.8.2-1) unstable; urgency=medium
* New upstream version 1.8.2. (Closes: #910013) (Closes: #900907)
* debian/modemmanager.postrm: don't unmask ModemManager on postrm; we were
unmasking because we're about to remove ModemManager anyway, and prerm did
its mask with --runtime which is supposed to not be persistent.
(Closes: #902260)
* debian/control: canonicalize Vcs-* URLs.
* debian/control: bump to Standard-Version: 4.2.1; no changes required.
2018-06-06 - Gianfranco Costamagna <locutusofborg@debian.org>
modemmanager (1.7.990-1ubuntu1) cosmic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Pass --enable-more-warnings so we build without -Werror. Patch
m4/compiler_warnings.m4 to allow this.
2018-03-01 - Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
modemmanager (1.7.990-1) unstable; urgency=medium
* New upstream version 1.7.990.
* debian/control: Bump libqmi-glib-dev and libmbim-glib-dev Depends to new
required versions (libmbim > 1.16, libqmi > 1.20) for this release.
* Update Maintainer field for my 'real' address. (Closes: #884617)
* debian/control: Update Vcs-* fields: moved project to salsa.d.o.
* debian/control: Bump to Standards-Version 4.1.3.
* debian/copyright:
- Fix Format: URL to use https.
- Drop extra stanza for libwmc; it really is only GPL2, not GPL2+.
* debian/rules: set DPKG_GENSYMBOLS_CHECK_LEVEL=4; more verbose when there
are added/changed symbols.
* debian/libmm-glib0.symbols: update symbols for new release.
* debian/patches/default_strict_probing_policy.patch: set the filtering
policy for probing to 'strict' by default: this will avoid probing devices
that are not modems, and potentially interfering with RNGs, braille, etc.
(Closes: #683839)
2018-04-24 - Iain Lane <iain@orangesquash.org.uk>
modemmanager (1.6.8-2ubuntu1) bionic; urgency=medium
* Pass --enable-more-warnings so we build without -Werror. Patch
m4/compiler_warnings.m4 to allow this.
2017-10-21 - Michael Biebl <biebl@debian.org>
modemmanager (1.6.8-2) unstable; urgency=medium
* Remove myself from Uploaders and re-instate Mathieu Trudel-Lapierre as
Maintainer.
2017-06-17 - Michael Biebl <biebl@debian.org>
modemmanager (1.6.8-1) unstable; urgency=medium
* New upstream version 1.6.8
* Drop obsolete Breaks and Replaces from pre-jessie.
* Move D-Bus interface files into modemmanager-dev package
2016-11-16 - Michael Biebl <biebl@debian.org>
modemmanager (1.6.4-1) unstable; urgency=medium
* New upstream release.
* Drop overrides for dh_systemd_start and dh_installinit.
Starting with compat level 10, --restart-after-upgrade is the default.
* Drop obsolete maintainer scripts code.
2016-09-17 - Michael Biebl <biebl@debian.org>
modemmanager (1.6.2-1) unstable; urgency=medium
* New upstream release.
* Bump debhelper compat level to 10.

See Also

Package Description
libmm-ocaml-dev_0.4.1-2_amd64.deb OCaml multimedia library -- development files
libmm-ocaml_0.4.1-2_amd64.deb OCaml multimedia library -- runtime files
libmm14_1.4.2-5+b2_amd64.deb Shared memory library - runtime
libmmap-ocaml-dev_1.1.0-1+b1_amd64.deb file mapping functionality in OCaml (development)
libmmap-ocaml_1.1.0-1+b1_amd64.deb file mapping functionality in OCaml (runtime)
libmmdb2-0_2.0.5-1_amd64.deb macromolecular coordinate library - runtime
libmmdb2-dev_2.0.5-1_amd64.deb macromolecular coordinate library - development files
libmms-dev_0.6.4-3_amd64.deb MMS stream protocol library - development files
libmms0_0.6.4-3_amd64.deb MMS stream protocol library - shared library
libmmtf-java_1.0.9-1_all.deb Java API for macromolecular transmission format encoder/decoder
libmnemonicsetter-java_0.5-1_all.deb Java library for automatically setting Swing mnemonics
libmng-dev_1.0.10+dfsg-3.1+b5_amd64.deb M-N-G library (Development headers)
libmng1_1.0.10+dfsg-3.1+b5_amd64.deb Multiple-image Network Graphics library
libmnl-dev_1.0.4-2+b1_amd64.deb minimalistic Netlink communication library (devel)
libmnl0_1.0.4-2+b1_amd64.deb minimalistic Netlink communication library
Advertisement
Advertisement